List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.MCPServer.List(ctx, operations.C1APIAiGovernanceV1MCPServerServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.MCPServerServiceListResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"appId": "<string>",
"awsAccessKeyId": "<string>",
"awsSecretAccessKeyConfigured": true,
"awsSessionTokenConfigured": true,
"basicAuthPasswordConfigured": true,
"basicAuthUsername": "<string>",
"bearerTokenConfigured": true,
"configFieldValues": {},
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialsSetupUrl": "<string>",
"customHeaderName": "<string>",
"customHeaderValueConfigured": true,
"defaultToolPrefix": "<string>",
"description": "<string>",
"displayName": "<string>",
"endpointUrl": "<string>",
"lastCalledAt": "2023-11-07T05:31:56Z",
"mcpServerCatalogId": "<string>",
"oauth2AuthorizeUrl": "<string>",
"oauth2ClientId": "<string>",
"oauth2ClientSecretExpiresAt": "<string>",
"oauth2CodeChallengeMethodsSupported": [
"<string>"
],
"oauth2CredentialsConfigured": true,
"oauth2ExtraAuthorizeParams": {},
"oauth2ExtraTokenParams": {},
"oauth2IssuerUrl": "<string>",
"oauth2JwtAudience": "<string>",
"oauth2JwtIssuer": "<string>",
"oauth2JwtPrivateKeyConfigured": true,
"oauth2JwtSubject": "<string>",
"oauth2Pkce": "<string>",
"oauth2Scopes": [
"<string>"
],
"oauth2ScopesSupported": [
"<string>"
],
"oauth2ServiceAuthorized": true,
"oauth2ServiceAuthorizedAsEmail": "<string>",
"oauth2ServiceAuthorizedAsName": "<string>",
"oauth2ServiceAuthorizedAt": "2023-11-07T05:31:56Z",
"oauth2ServiceAuthorizedBy": "<string>",
"oauth2TokenEndpointAuthMethod": "<string>",
"oauth2TokenUrl": "<string>",
"sourceAppId": "<string>",
"toolPrefix": "<string>",
"tunnelApplianceId": "<string>",
"tunnelBridgeId": "<string>",
"tunnelServiceName": "<string>",
"tunneled": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}MCP Servers
List
List retrieves MCP servers for an app.
GET
/
api
/
v1
/
apps
/
{app_id}
/
mcp_servers
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.MCPServer.List(ctx, operations.C1APIAiGovernanceV1MCPServerServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.MCPServerServiceListResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
App identifier (required).
Query Parameters
Page size (max 100).
Page token for pagination.
Was this page helpful?
⌘I